# Uses of Enum Class
org.bukkit.SandstoneType

Packages that use SandstoneType
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of SandstoneType in org.bukkit

Methods in org.bukkit that return SandstoneType
Modifier and Type
Method
Description
`static @Nullable SandstoneType`
SandstoneType.`getByData(byte data)`
Deprecated.
Magic value
`static SandstoneType`
SandstoneType.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static SandstoneType[]`
SandstoneType.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of SandstoneType in org.bukkit.material

Methods in org.bukkit.material that return SandstoneType
Modifier and Type
Method
Description
`SandstoneType`
Sandstone.`getType()`
Deprecated.
Gets the current type of this sandstone
Methods in org.bukkit.material with parameters of type SandstoneType
Modifier and Type
Method
Description
`void`
Sandstone.`setType(SandstoneType type)`
Deprecated.
Sets the type of this sandstone
Constructors in org.bukkit.material with parameters of type SandstoneType
Modifier
Constructor
Description
``
`Sandstone(SandstoneType type)`
Deprecated.